import processing.serial.*;
Serial pulse;        // The serial port
int xPos = 1;         // horizontal position of the graph
void setup () { // set the window size:
  size(600, 200);        
  println(Serial.list()); // List all the available serial ports
  pulse = new Serial(this, Serial.list()[5], 9600); // Look under Arduino>Tools>Serial Port
  pulse.bufferUntil('\n');
  background(0); // set inital background:
}
void draw () { // everything happens in the serialEvent()
}

void serialEvent (Serial pulse) {  
  String inString = pulse.readStringUntil('\n'); // get the ASCII string:
  if (inString != null) { // trim off any whitespace:
    inString = trim(inString); // convert to an int and map to the screen height:
    float inByte = float(inString); 
    inByte = map(inByte, 0, 1023, 0, height); // draw the line:
    stroke(52, 221, 221);
    line(xPos, height, xPos, height - inByte); // at the edge of the screen, go back to the beginning:
    if (xPos >= width) {
      xPos = 0;
      background(0);
    } else {
      // increment the horizontal position:
      xPos++;
    }
  }
}

